<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/MyMember.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/Member.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/User.inc.php" );

	class ForditMailPanel extends Widget {

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedIn()) {
				$mm = new MemberModel();
				$um = new UserModel();
				$member = $mm->getMemberFromMemberId( $mmm->getLoggedinMemberId() );
				$user = $um->getUserFromUserId( $mmm->getLoggedinUserId() );
				$this->setParam( "member" , $member );
				$this->setParam( "user" , $user );
			}
			return parent::render();
		}
	}

?>
